Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 638826 - <sys-auth/fingerprint-gui-1.09 depends on deprecated qca[qt4]/Qt4
Summary: <sys-auth/fingerprint-gui-1.09 depends on deprecated qca[qt4]/Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Weber (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-11-25 20:52 UTC by Andreas Sturmlechner
Modified: 2018-04-26 03:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-11-25 20:52:45 UTC
There appears to be a newer release 1.09 that we do not have packaged yet, but it is still not ported to Qt5.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-02-19 12:59:51 UTC
ping, is there any hope for this package?
Comment 2 Maxim Koltsov gentoo-dev 2018-03-07 11:47:18 UTC
I contacted Wo1fgang Ulrich, the author of fingerprint-gui, about this issue. He said he was actually going to abandond the project.

I've made a fork with Qt5-only support here:
https://github.com/maksbotan/fingerprint-gui

The ebuild is in my overlay right now (dev/maksbotan).
However, if we were to actually move this to tree, I'd like to make some code cleanups in the sources and possibly move to CMake.
Unfortunately though, I have no time nor hardware to maintain this for users of chips other than mine (Upek TouchChip).
Comment 3 Andreas Sturmlechner gentoo-dev 2018-03-17 10:22:21 UTC
I guess that will be the only choice if upstream is not working on it anymore. Michael, objections?
Comment 4 Larry the Git Cow gentoo-dev 2018-03-26 21:20:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=929b5678dcf404a2fb3bf175ee69c4b1222098db

commit 929b5678dcf404a2fb3bf175ee69c4b1222098db
Author:     Maxim Koltsov <maksbotan@gentoo.org>
AuthorDate: 2018-03-26 21:20:02 +0000
Commit:     Maxim Koltsov <maksbotan@gentoo.org>
CommitDate: 2018-03-26 21:20:23 +0000

    sys-auth/fingerprint-gui: bump to 1.09 with Qt5
    
    This is forked release sanctioned by upstream.
    
    Bug: https://bugs.gentoo.org/638826
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-auth/fingerprint-gui/Manifest                  |   1 +
 .../fingerprint-gui/fingerprint-gui-1.09.ebuild    | 114 +++++++++++++++++++++
 2 files changed, 115 insertions(+)}
Comment 5 Maxim Koltsov gentoo-dev 2018-03-26 21:21:37 UTC
I've added ebuild with my fork to the tree. Code cleanup is yet to follow. When I'm done, I'll proceed with stabilization of new release and removal of old Qt4-only one.
Comment 6 Andreas Sturmlechner gentoo-dev 2018-04-10 12:00:26 UTC
Thanks for the port! You can drop 1.07-r1 since it is not stable.
Comment 7 Larry the Git Cow gentoo-dev 2018-04-26 03:31:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51b4456b419d5a9bddffa2913dc1e8c45231685c

commit 51b4456b419d5a9bddffa2913dc1e8c45231685c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-25 23:09:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-26 03:29:35 +0000

    sys-auth/fingerprint-gui: Drop old Qt4-based
    
    Closes: https://bugs.gentoo.org/638826
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-auth/fingerprint-gui/Manifest                  |  1 -
 .../fingerprint-gui/fingerprint-gui-1.07-r1.ebuild | 93 ----------------------
 2 files changed, 94 deletions(-)